html {
    width: 100%;
}

body {
    overflow-x: hidden !important;
}

/* Spinner */
body.show-spinner::before {
    content: " ";
    display: inline-block;
    width: 30px;
    height: 30px;
    border: 2px solid rgba(0, 0, 0, 0.2);
    border-radius: 50%;
    border-top-color: rgba(0, 0, 0, 0.3);
    animation: spin 1s ease-in-out infinite;
    -webkit-animation: spin 1s ease-in-out infinite;
    left: calc(50% - 15px);
    top: calc(50% - 15px);
    position: fixed;
    z-index: 1;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    to {
        -webkit-transform: rotate(360deg);
    }
}


/* Custom Code */
.navbar {
    height: 75px;
}

.sidebar {
    padding-top: 75px;
}

/* Multi-step form styles */
#msForm {
    width: 100%;
    margin: 25px auto;
    position: relative;
    z-index: 1;
}

#msForm #progressbar {
    width: fit-content;
    margin: 0 auto 30px;
    overflow: hidden;
    counter-reset: step;
}

#msForm #progressbar li {
    list-style-type: none;
    color: #000;
    text-transform: uppercase;
    width: 100px;
    float: left;
    position: relative;
    font-size: 12px;
    text-align: center;
}

#msForm #progressbar li[data-href] {
    cursor: pointer;
}

#msForm #progressbar li:before {
    content: counter(step);
    counter-increment: step;
    width: 25px;
    line-height: 25px;
    display: block;
    font-size: 15px;
    color: #FFF;
    background: #145388;
    border-radius: 3px;
    margin: 0 auto 5px auto;
}

#msForm #progressbar li:after {
    content: '';
    width: 100%;
    height: 2px;
    background: #145388;
    position: absolute;
    left: -50%;
    top: 11px;
    z-index: -1;
}

#msForm #progressbar li:first-child:after {
    content: none;
}

#msForm #progressbar li.active:after {
    background: #145388;
    color: white;
}

#msForm #progressbar li.active:before {
    background: #27AE60;
    color: white;
}

@media screen and (max-width: 599px) {
    #msForm #progressbar li {
        width: 16.5%;
    }

    #msForm #progressbar li span {
        visibility: hidden;
    }
}

/* Flatpicker */
.shortcut-buttons-flatpickr-button {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    transition: all .15s ease-in-out;
    cursor: pointer;
    color: #fff;
    background-color: #007bff;
    border: none;
    padding: 5px 20px;
    font-size: 15px;
    margin: 10px 5px 5px;
    border-radius: 5px;
}

.shortcut-buttons-flatpickr-button:nth-child(2) {
    background: #e74c3c;
}

.flatpickr-input {
    background-color: #FFF !important;
}

/* Popup/Modal */
#popup-title {
    padding: 1px 0 9px 0;
    border-bottom: 0 solid #999;
    font-size: 18px;
    font-weight: bold;
    box-shadow: 0 2px 1px -2px #999;
    margin: 10px 10px 2px 10px;
}

#popup-exit {
    float: right;
    border-radius: 15px;
    color: #F44336;
    cursor: pointer;
    font-size: 30px;
}

#popup-title-text {
    font-family: 'Open Sans', sans-serif;
    color: #777373;
}

#popup-details {
    padding: 10px 15px 10px 15px;
    background: #FFF;
    font-size: 17px;
    min-height: 200px;
    overflow-x: auto;
    margin-bottom: 5px;
}

#popup-main {
    display: none;
    box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.5);
    position: fixed;
    background: #FFF;
    min-width: 300px;
    left: 50%;
    top: 50%;
    transform: scale(1, 1) translate(-50%, -50%);
    z-index: 100;
    border-radius: 5px;
}

#popup-black-bg {
    display: none;
    z-index: 100;
    background: rgba(0, 0, 0, .75) url(//tools.bikiran.com/bikimg/loading-1.gif) no-repeat center;
    background-size: 50px;
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
}

.popup-black-bg {
    display: none;
    z-index: 100;
    background: rgba(0, 0, 0, .75) url(//tools.bikiran.com/bikimg/loading-1.gif) no-repeat center;
    background-size: 50px;
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
}

.popup-main {
    display: none;
    box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.5);
    position: fixed;
    background: #FFF;
    min-width: 300px;
    left: 50%;
    top: 50%;
    transform: scale(1, 1) translate(-50%, -50%);
    z-index: 100;
    border-radius: 5px;
}

.popup-header {
    padding: 10px;
    border-bottom: 1px solid #d2d2d2;
    background: #f3f3f3;
    border-radius: 5px 5px 0 0;
}

.popup-exit.icon {
    float: right;
    border-radius: 15px;
    color: #F44336;
    cursor: pointer;
    font-size: 30px;
}

.popup-title-text {
    font-family: 'Open Sans', sans-serif;
    color: #777373;
}

.popup-body {
    padding: 10px 15px 10px 15px;
    background: #FFF;
    font-size: 17px;
    min-height: 200px;
    overflow-x: auto;
    margin-bottom: 5px;
}

.popup-footer {
    text-align: right;
    padding: 10px;
    border-top: 1px solid #d2d2d2;
    background: #f3f3f3;
    border-radius: 0 0 5px 5px;
}

i.menu-icon.ion {
    font-size: 20px;
}

.navbar .navbar-nav li > a .menu-icon {
    margin-top: 5px;
}

.navbar .navbar-nav li.menu-item-has-children a:before {
    top: 4px;
}

.modal-confirm {
    color: #636363;
    max-width: 400px;
}

.modal-confirm .modal-content {
    padding: 5px;
    border-radius: 5px;
    border: none;
    text-align: center;
    font-size: 14px;
}

.modal-confirm .modal-header {
    border-bottom: none;
    position: relative;
    display: block;
    padding: 10px 10px 5px;
}

.modal-confirm h4 {
    text-align: center;
    font-size: 26px;
    margin: 20px 0 0;
}

.modal-confirm .close {
    position: absolute;
    top: -10px;
    right: 0;
    font-size: 35px;
}

.modal-confirm .modal-body {
    color: #999;
    display: block;
    padding: 10px 10px 5px;
}

.modal-confirm .modal-footer {
    border: none;
    text-align: center;
    border-radius: 5px;
    font-size: 13px;
    padding: 10px 10px 20px;
    display: block;
}

.modal-confirm .modal-footer a {
    color: #999;
}

.modal-confirm .icon-box {
    width: 60px;
    height: 60px;
    margin: 0 auto;
    border-radius: 50%;
    z-index: 9;
    text-align: center;
    border: 3px solid #145388;
}

.modal-confirm .icon-box i {
    color: #145388;
    font-size: 30px;
    display: inline-block;
    margin-top: 13px;
}

.modal-confirm .btn {
    color: #fff;
    border-radius: 4px;
    background: #60c7c1;
    text-decoration: none;
    transition: all 0.4s;
    line-height: normal;
    min-width: 100px;
    border: none;
    min-height: 30px;
    margin: 0 5px;
    outline: none !important;
}

.modal-confirm .btn-info {
    background: #c1c1c1;
}

.modal-confirm .btn-info:hover, .modal-confirm .btn-info:focus {
    background: #a8a8a8;
}

.modal-confirm .btn-danger {
    background: #f15e5e;
}

.modal-confirm .btn-danger:hover, .modal-confirm .btn-danger:focus {
    background: #ee3535;
}

/* Table CSS */
thead tr {
    background: #5884a9;
    color: #FFF;
}

thead td {
    font-weight: bold;
    text-align: center;
}

i.edit-item {
    color: #145388;
    font-weight: bold;
    font-size: 15px;
}

.table-label-center tr td:first-child,
.table-label-center tr td:last-child {
    text-align: center;
}

.table-label-center tr td:first-child {
    width: 50px;
}

.table-label-center tr td:last-child {
    width: 100px;
}


[required] {
    border-left: 6px solid #fa8072 !important;
}

[required]:valid, input[required]:not(:placeholder-shown) {
    border-left: 6px solid #007bff !important;
}


.btn-boxed {
    border-radius: 3px;
    padding: 7px 15px;
    font-size: 16px;
}

.dataTable tr > td:first-child {
    background: #1311130d;
    cursor: grab;
}

.dataTable tr > td:first-child > .iconsmind-Up--Down {
    display: none;
}

.dataTable tr > td:first-child > span {
    display: block;
}

.dataTable tr:hover > td:first-child > .iconsmind-Up--Down {
    display: block;
}

.dataTable tr:hover > td:first-child > span {
    display: none;
}

table.dataTable td {
    padding: .75rem;
}


tr > td.sorting_1 {
    background: #5884a921;
}

table.dataTable.dt-rowReorder-float {
    width: inherit !important;
    background: #ffffffd4;
    opacity: 1;
}

.input-group > select.form-control {
    border-radius: 0;
}

h1.page-header {
    position: relative;
    bottom: -5px;
    margin-right: 20px;
}

.fixed-background {
    background: url(/assets/images/login-bg.jpg) no-repeat center center fixed;
}

.no-grab {
    cursor: inherit !important;
}

.input-group .input-group-addon {
    border-color: #e5e5e5;
    background: #e5e5e5;
    min-width: 39px;
    text-align: center;
    line-height: 38px;
}

.input-group > .form-control:not(:last-child), .input-group > .custom-select:not(:last-child) {
    background: white;
    color: #212121;
    border-color: #d7d7d7;
}

.five-gutter {
    margin-right: -5px;
    margin-left: -5px;
}

.five-gutter > div {
    padding-right: 5px;
    padding-left: 5px;
}

input.five {
    padding-left: 5px;
    padding-right: 5px;
}

.info-box {
    color: #333;
    font-size: 15px;
    border-radius: 3px;
}

.info-box p {
    display: flex;
}

.info-box span {
    flex-grow: 1;
}

.student-op {
    cursor: pointer;
}

.clearfix:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
    margin: 0;
}

.clearfix {
    display: inline-block;
}

* html .clearfix {
    height: 1%;
}

.clearfix {
    display: block;
}

.form-control:not(select) {
    height: calc(2.4rem + 3px);
}

.m-b-0 {
    margin-bottom: 0;
}

.btn-outline-sm {
    padding: 0.35rem .75rem;
    font-size: 0.75rem;
    line-height: 1.25;
}

.table tr.vertical-middle td,
.table tr.vertical-middle th,
.table td.vertical-middle,
.table th.vertical-middle {
    vertical-align: middle;
}

.table tr.vertical-top td,
.table tr.vertical-top th,
.table td.vertical-top,
.table th.vertical-top {
    vertical-align: top;
}

.d-it {
    display: inline-table;
}

.m-r-20 {
    margin-right: 10px;
}

/* Prescription */
/*#adiInfoList {*/
/*max-width: 719px;*/
/*}*/

/*#adiInfoList i {*/
/*color: #F00;*/
/*font-size: 16px;*/
/*font-weight: bold;*/
/*float: right;*/
/*display: none;*/
/*}*/

/*#adiInfoList li:hover {*/
/*cursor: pointer;*/
/*}*/

/*#adiInfoList li:hover i {*/
/*display: block;*/
/*}*/

.single-medicine {
    width: 100%;
    display: table;
    clear: both;
    counter-increment: step-counter;
    margin: 10px auto 15px;
    font-size: 14px;
    line-height: 20px;
}

.single-medicine-index {
    float: left;
    width: 40px;
}

.single-medicine-content {
    float: left;
}

.single-medicine-index::before {
    content: counter(step-counter);
    font-size: 90%;
    background-color: rgb(0, 200, 200);
    color: white;
    font-weight: bold;
    padding: 3px 8px;
    border-radius: 3px;
}

.row-area {
    padding: 20px 10px 10px;
    border: 1px solid #FFF;
    margin: 10px 0;
}

.row-area .btn-add-remove {
    visibility: hidden;
    padding: 5px 15px;
    font-size: 12px;
    margin-left: 5px;
}

.row-area.sec-active .info-list > li {
    /*border: 1px solid #0880ff;*/
}

/* .row-area.sec-active .info-list > li i,  */
.row-area.sec-active .btn-add-remove {
    visibility: visible;
}

.row-area-footer {
    display: none;
}

.row-area:not(.sec-inactive):hover {
    cursor: pointer;
    background: #f8f8f8;
    box-shadow: 0 0 6px 3px #999;
    border-radius: 5px;
    border: 1px solid #999;
}

.row-area.sec-active, .row-area.sec-active:hover {
    cursor: pointer;
    background: #f8f8f8;
    box-shadow: 0 0 6px 3px #009688ab;
    border-radius: 5px;
    border: 1px solid #009688;
}

.row-area.sec-active:hover {
    cursor: default;
}

.row-area:not(.sec-inactive):hover .btn-add-remove {
    visibility: visible;
}

.info-list {
    /* display: inline-block; */
    /* padding: 0; */
}

.info-list > li {
    /* display: inline-flex; */
    /* padding: 5px 0 5px 7px; */
    /* border-radius: 6px; */
    /* font-size: 14px; */
}

.info-list > li i {
    /* visibility: hidden; */
    display: none;
    cursor: pointer;
    color: #F00;
    font-weight: bold;
    /* font-size: 16px; */
    position: relative;
    top: 1px;
    left: 2px;
    padding-left: 5px;
}

.row-area.sec-active .info-list > li i {
    display: inline-block;
}

.row-area.sec-active .info-list > li {
    margin-right: 5px;
    padding: 5px 7px;
}

.info-list > li:not(:last-child)::after {
    /*     content: ","; */
}

.row-area.sec-active .info-list > li::after {
    content: "";
}

.row-area.sec-active .info-list > li::after {
    content: "";
}

.form-control.input-info {
    width: inherit;
    display: inline-table;
    height: calc(2rem + 3px);
}

.form-control.input-info.height-full {
    height: calc(2.4rem + 4px) !important;
}

.row-area-footer {
    margin: 14px 5px 5px;
}

.add-info {
    position: relative;
    top: -2px;
    margin-left: 10px;
}

.keyboard-key {
    color: #BBB;
    font-style: italic;
}

.remove-item {
    cursor: pointer;
    color: #F00;
    font-weight: bold;
    font-size: 16px;
    position: relative;
    top: 3px;
    left: 2px;
    padding-left: 5px;
}

.logo-single {
    background-image: url("/assets/images/logo-bikiran.png");
    background-size: contain;
    width: 100%;
    height: 60px;
}

.form-side#part-2,
.form-side#part-3 {
    display: none;
}

.profile-image-text {
    background: #00538c;
    border-radius: 50%;
    width: 50px;
    display: inline-block;
    height: 50px;
    text-align: center;
    line-height: 50px;
    color: #ffffff;
    margin-top: -25px;
    margin-left: 10px;
    font-size: 25px;
}

.restore-row.active .restore-op-show {
    display: inline-block;
}

.restore-row.active .restore-op-hide {
    display: none;
}

.restore-row .restore-op-show {
    display: none;
}

.restore-row .restore-op-hide {
    display: inline-block;
}

/* Breadcrumb */
#breadcrumb {
    list-style: none;
    display: inline-block;
    padding: 0;
}

#breadcrumb .icon {
    font-size: 14px;
}

#breadcrumb li {
    float: left;
    padding: 0;
}

#breadcrumb li a {
    /*color: #FFF;*/
    /*background: #3498db;*/
    color: #000;
    display: block;
    text-decoration: none;
    position: relative;
    height: 36px;
    line-height: 36px;
    padding: 0 10px 0 5px;
    text-align: center;
    margin-right: 13px;
    font-size: 14px;
}

#breadcrumb li:nth-child(even) a {
    /*background-color: #2980b9;*/
}

#breadcrumb li:nth-child(even) a:before {
    /*border-color: #2980b9;*/
    border-left-color: transparent;
}

#breadcrumb li:nth-child(even) a:after {
    /*border-left-color: #2980b9;*/
}

#breadcrumb li:first-child a {
    padding-left: 0;
    -moz-border-radius: 4px 0 0 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px 0 0 4px;
}

#breadcrumb li:first-child a:before {
    border: none;
}

#breadcrumb li:last-child a {
    padding-right: 15px;
    -moz-border-radius: 0 4px 4px 0;
    -webkit-border-radius: 0;
    border-radius: 0 4px 4px 0;
}

#breadcrumb li:last-child a:after {
    border: none;
}

#breadcrumb li a:before, #breadcrumb li a:after {
    position: absolute;
    top: 0;
    width: 0;
    height: 0;
    border: 0;
}

#breadcrumb li a:after {
    content: "\e606";
    font-family: 'simple-line-icons';
}

#breadcrumb li:last-child a:after {
    content: "";
}

#breadcrumb li a:before {
    left: -20px;
    border-left-color: transparent;
}

#breadcrumb li a:after {
    left: 100%;
    border-color: transparent;
    border-left-color: #3498db;
}

#breadcrumb li a:hover {
    /*background-color: #1abc9c;*/
}

#breadcrumb li a:hover:before {
    /*border-color: #1abc9c;*/
    border-left-color: transparent;
}

#breadcrumb li a:hover:after {
    /*border-left-color: #1abc9c;*/
}

#breadcrumb li a:active {
    /*background-color: #16a085;*/
}

#breadcrumb li a:active:before {
    /*border-color: #16a085;*/
    border-left-color: transparent;
}

#breadcrumb li a:active:after {
    /*border-left-color: #16a085;*/
}

#breadcrumb li a:hover {
    color: #145388;
    text-decoration: underline;
}

/* Auto-complete */
.ui-autocomplete {
    max-height: 250px;
    max-width: 500px;
    overflow-y: auto;
    overflow-x: hidden;
}

.ui-widget.ui-widget-content {
    z-index: 999999;
}

main {
    margin-top: 110px;
}

.card-remove-side-margins {
    margin: 0 -28px;
}

.hide {
    display: none;
}

.row-area:not(.sec-active) .instruction > input {
    pointer-events: none;
    border: none;
    background: transparent;
}

li.instruction > input {
    width: 80%;
}

.row-area:not(.sec-active) .inp-excuse > input, .row-area:not(.sec-active) .inp-excuse > div {
    pointer-events: none;
    border: none;
    background: transparent;
}

.table-report {
    font-size: 18px;
}

.table-report .tbl-table-start {
    background: #eaeef1;
    font-weight: bold;
}

.table-report td {
    padding: 7px 14px;
}

tr.vertical-middle.tbl-title {
    font-weight: bolder;
    font-size: 25px;
}

.btn-group.special {
    display: flex;
}

.special .btn {
    flex: 1
}

.treen-alert {
    z-index: 1051;
}

.hospital-header {
    overflow: auto;
}

.hospital-header > .left-icon {
    float: left;
    height: 100px;
    width: 100px;
    text-align: center;
}

.hospital-header > .left-icon > img {
    height: 100%;
    padding: 0;
}

.hospital-header > .right-icon {
    float: right;
    height: 100px;
    width: 100px;
    text-align: center;
}

.hospital-header > .right-icon > img {
    height: 100%;
    padding: 0;
    text-align: center;
}

.hospital-header > .content {
    text-align: center
}

.text-underline {
    text-decoration: underline;
}

.simple-icon-check {
    color: darkgreen;
}

.simple-icon-close {
    color: red;
}

.font-2x {
    font-size: 200%;
}

.font-1-5x {
    font-size: 150%;
}

.status-act, .status-active {
    /*background-color: transparent;*/
}

.status-rej, .status-inactive {
    background-color: #ff990054 !important;
}

.status-pen {
    background-color: #f5ff4073 !important;
}

.status-blk {
    background-color: #ff00006b !important;
}

.fas.fa-refresh:hover {
    transform: rotate(180deg);
}

.fas.fa-refresh {
    transition: transform 0.5s ease 0s;
}